/*
Theme Name: Playroom Child
Theme URI: https://playroom.qodeinteractive.com
Description: A child theme of Playroom
Author: Elated Themes
Author URI: https://qodeinteractive.com
Version: 1.0.0
Text Domain: playroom
Template: playroom
*/

/* Hide metadata of post in blog page */
.qodef-blog .qodef-e-info>.qodef-e-info-right {
    display: none !important;
}

/* Disable content above footer  */
#qodef-page-content-bottom {
    display: none;
}

/* translate text on back to top button */
#qodef-back-to-top>.qodef-back-to-top-text {
    display: none;
}

#qodef-back-to-top::after {
    content: 'Wróc do gory';
    position: absolute;
    top: 5px;
    left: 8px;
    display: block;
    width: 50%;
    font-family: "Amatic SC", cursive;
    font-size: 16px;
    line-height: .9em;
    font-weight: 600;
    text-align: center;
    text-transform: uppercase;
    color: #444;
    cursor: pointer;
}

#qodef-back-to-top:hover::after {
    animation: qodef-jump .6s cubic-bezier(.43, .41, .36, .9) forwards;
}

/* main slider additional efects */
.css-main-slider-efects .swiper-wrapper>.qodef-image-wrapper>img {
    opacity: .7;
    z-index: 1;
    position: relative;
}

.css-main-slider-efects .swiper-wrapper>.qodef-image-wrapper::after {
    position: absolute;
    top: 20px;
    left: 20px;
    width: 100%;
    height: calc(100% - 40px);
    background-color: #000;
    content: '';
    border-radius: 8px;
}


/* Invoice info  */

#qodef-woo-page.qodef--checkout #with_invoice_field {
    margin-top: 15px;
}


#qodef-woo-page.qodef--checkout #payment{

    >ul {
        text-align: center;
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        gap: 2rem;

        >li{
            /*width: fit-content;*/
            width: 100%;
            /*margin-inline: auto;*/
            outline: 2px solid #FFD7CDAA;
            transition: outline .3s ease-in-out;
            border-bottom: unset !important;

            >label{
                display: flex;
                align-items: center;
                justify-content: center;
                flex-direction: column;
                gap: 1rem;
            }

            >input{
                display: none;
            }

            &:has(>input:checked){
                background: #FFD7CDAA !important;
                outline-color: #EC6830;
            }
        }
    }

    &:before{
        position: relative;
        content: 'Wybierz metodę płatności';
        display: block;
        font-family: "Baloo Chettan",cursive;
        text-align: center;
        width: 100%;
        font-size: 26px;
        line-height: 1.3;
        margin-bottom: 2rem;
    }
}

#qodef-woo-page.qodef--checkout #payment>.place-order {
    border-top: 1px solid #e1e1e1;
    margin: 15px 0 0 0;
    padding-top: 15px;
}

.js-tax-added,
.js-tax-total {
    display: flex;
    justify-content: space-between;
    gap: 30px;
    margin: 30px 0;
}

.js-tax-added.hidden,
.js-tax-total.hidden {
    display: none;
}

.tax-added-text,
.tax-total-text {
    font-family: "Baloo Chettan", cursive;
    font-weight: 400;
    color: #444;
    font-size: 17px;
    width: calc(50% - 15px);
    text-align: right;
}

.tax-added-amount,
.tax-total-amount {
    font-family: "Baloo Chettan", cursive;
    font-weight: 700;
    color: #444;
    font-size: 19px;
    width: calc(50% - 15px);
    text-align: left;
}

.shop_table .tax-total {
    display: none;
}

@media (max-width: 770px) {

    .js-tax-added,
    .js-tax-total {
        justify-content: center;
        flex-direction: column;
        gap: 10px;
    }


    .tax-added-text,
    .tax-total-text {
        width: 100%;
        text-align: center;
    }

    .tax-added-amount,
    .tax-total-amount {
        width: 100%;
        text-align: center;
    }
}

/* WHOLE PAGE */
/* Header fix  */
.qodef-parallax-content-holder>h1.qodef-m-title {
    text-shadow: -1px 0 #444, 0 1px #444, 1px 0 #444, 0 -1px #444;
    text-align: center;
}

@media only screen and (max-width: 1024px) {
    .qodef-page-title.qodef-title--standard-with-breadcrumbs {
        padding: 0;
        height: 200px;
    }

    .qodef-page-title.qodef-title--standard-with-breadcrumbs .qodef-m-content>* {
        text-align: center;
        flex: unset;
    }
}

/* SHOP PAGE */
/* Hide filters */
#qodef-woo-page>.qodef-woo-results {
    display: none;
}

/* Disable buy button on shop list product */
#qodef-woo-page .products>.product .button.add_to_cart_button,
#qodef-woo-page .products>.product .button.product_type_simple {
    display: none;
}

.woocommerce-price-suffix {
    margin-left: 4px;
}

/* Image hover on shop list product */
#qodef-woo-page .products>.product .qodef-woo-product-image {
    overflow: hidden;
    border-radius: 8px;
}

#qodef-woo-page .products>.product .qodef-woo-product-image>img {
    transition: transform .3s ease-in-out;
}

#qodef-woo-page .products>.product:hover .qodef-woo-product-image>img {
    transform: scale(1.1);
}

/* PRODUCT PAGE */
/* Hide social media */
#qodef-woo-page>.product .qodef-social-share {
    display: none;
}

/* Hide related */
#qodef-woo-page>.product section.related.products {
    display: none;
}

/* Hide quantity */
#qodef-woo-page form.cart>.quantity {
    display: none;
}

/* EMPTY CART HIDE ORTER  */
.wp-block-woocommerce-empty-cart-block .wp-block-separator,
.wp-block-woocommerce-empty-cart-block .wp-block-separator+h2,
.wp-block-woocommerce-empty-cart-block .wp-block-product-new {
    display: none;
}

/* Checkout table modernied */
.woocommerce #qodef-woo-page .shop_table thead th {
    width: 50%;
}

.woocommerce #qodef-woo-page .shop_table tfoot tr>th,
.woocommerce #qodef-woo-page .shop_table .product-name {
    text-align: right;
    padding-right: 16px;
}

.woocommerce #qodef-woo-page .shop_table tfoot tr>td,
.woocommerce #qodef-woo-page .shop_table .product-total {
    text-align: left;
    padding-left: 16px;
}
